Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get an order document

GET/orders/{order_id}/documents/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
order_idstringrequired
idintegerrequired
Responses
200

Document

idinteger | null

null for legacy documents stored in the order's contact_data (_document_pdf_url/_document_type/_document_number) instead of as a real document record. These have no self/delete links and can't be fetched or deleted via /orders/{order_id}/documents/{id}.

document_typestring
Allowed:invoicereceipt
document_numberstring
file_urlstring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/orders/string/documents/0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": 0,
  "document_type": "invoice",
  "document_number": "string",
  "file_url": "string"
}

Was this page helpful?